package com.iamberry.wechat.face.order;

import java.util.List;

import com.iamberry.wechat.core.entity.order.ProbationOrder;

public interface AdminProbationOrderService {

	/**
	 * 查询试用订单详细信息
	 * @param probationOrder
	 * @return
	 */
	public ProbationOrder  getProbationOrderByOrderId(ProbationOrder probationOrder);
	
	/**
	 * 根据原状态和订单id修改该订单状态
	 * @param probationOrder
	 * @return
	 */
	public boolean updateProbationOrderStatus(ProbationOrder probationOrder);
	
	/**
	 * 分页查询试用订单列表
	 * @param probationOrder
	 * @return
	 */
	public List<ProbationOrder> selectProbationList(ProbationOrder probationOrder);
	
	/**
	 * 查询试用订单列表总数
	 * @param probationOrder
	 * @return
	 */
	public Integer selectProbationCount(ProbationOrder probationOrder);
	
	/**
	 * 修改订单的备注信息
	 * @param probationOrder
	 * @return
	 */
	public boolean updateAdminRemark(ProbationOrder probationOrder);
	
	/**
	 * 修改派送员信息
	 * @param probationOrder
	 * @return
	 */
	public boolean updateSendName(ProbationOrder probationOrder);
	
	/**
	 * 修改试用结束时间
	 * @param probationOrder
	 * @return
	 */
	public boolean updateProbationEndTime(ProbationOrder probationOrder);
	
	/**
	 * 修改订单备注
	 * @param probationOrder
	 * @return
	 */
	public boolean updateUserRemark(ProbationOrder probationOrder);
	
	/**
	 * 修改暂停开始时间
	 * @param probationOrder
	 * @return
	 */
	public boolean updatePauseStartTime(ProbationOrder probationOrder);
	
	/**
	 * 修改派送货物时间
	 * @param probationOrder
	 * @return
	 */
	public boolean updateSendDate(ProbationOrder probationOrder);
	
	/**
	 * 修改暂停后的试用时间
	 * @param probationOrder
	 * @return
	 */
	public boolean updatePauseEndTime(ProbationOrder probationOrder);
}
